Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.firebird
Class FirebirdPkGenerator

    java.lang.Object
      org.apache.cayenne.dba.JdbcPkGenerator
          org.apache.cayenne.dba.firebird.FirebirdPkGenerator

All Implemented Interfaces:
  PkGenerator

    public class FirebirdPkGenerator

extends JdbcPkGenerator

Field Summary

Fields inherited from class org.apache.cayenne.dba.JdbcPkGenerator
`DEFAULT_PK_CACHE_SIZE, NEXT_ID, objDesc, pkCache, pkCacheSize, resultDesc`

Constructor Summary
`FirebirdPkGenerator()`

Method Summary
`protected java.lang.String` | `pkCreateString(java.lang.String entName)`
`protected java.lang.String` | `pkDeleteString(java.util.List dbEntities)`
`protected java.lang.String` | `pkTableCreateString()`

Methods inherited from class org.apache.cayenne.dba.JdbcPkGenerator
`autoPkTableExists, binaryPK, createAutoPk, createAutoPkStatements, dropAutoPk, dropAutoPkStatements, dropAutoPkString, generatePkForDbEntity, generatePkForDbEntityString, getPkCacheSize, pkFromDatabase, pkSelectString, pkUpdateString, reset, runUpdate, setPkCacheSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FirebirdPkGenerator

    public FirebirdPkGenerator()

Method Detail

### pkCreateString

    protected java.lang.String pkCreateString(java.lang.String entName)

  Overrides:
    `pkCreateString` in class `JdbcPkGenerator`

### pkDeleteString

    protected java.lang.String pkDeleteString(java.util.List dbEntities)

  Overrides:
    `pkDeleteString` in class `JdbcPkGenerator`

### pkTableCreateString

    protected java.lang.String pkTableCreateString()

  Overrides:
    `pkTableCreateString` in class `JdbcPkGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.